{ stdenv
, direnv
, term-test ? null
, doCheck ? true
}:
assert doCheck -> term-test != null;

stdenv.mkDerivation {
  name = "direnv-cache";
  src = ./.;
  propagatedBuildInputs = [ direnv ];
  installPhase = ''
    make install PREFIX=$out
  '';
  checkInputs = [ term-test ];
  inherit doCheck;
  passthru = { direnvrc = ./direnvrc; };
}
